CREATE TABLE hrc_dl_source_keys (
    SOURCE_KEY_ID          NUMBER(18, 0),
    DATA_SET_BUS_OBJ_ID    NUMBER(18, 0)    NOT NULL,
    BUSINESS_OBJECT_ID     NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID          NUMBER(18, 0)    NOT NULL,
    SOURCE_TABLE_NAME      VARCHAR2(800),
    SOURCE_REF_NAME001     VARCHAR2(800),
    SOURCE_REF_NAME002     VARCHAR2(800),
    SOURCE_REF_NAME003     VARCHAR2(800),
    SOURCE_REF_NAME004     VARCHAR2(800),
    SOURCE_REF_NAME005     VARCHAR2(800),
    SOURCE_REF_NAME006     VARCHAR2(800),
    SOURCE_REF_NAME007     VARCHAR2(800),
    SOURCE_REF_NAME008     VARCHAR2(800),
    SOURCE_REF_NAME009     VARCHAR2(800),
    SOURCE_REF_NAME010     VARCHAR2(800),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    SOURCE_KEY_ID          NUMBER(18, 0),
    DATA_SET_BUS_OBJ_ID    NUMBER(18, 0)    NOT NULL,
    BUSINESS_OBJECT_ID     NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID          NUMBER(18, 0)    NOT NULL,
    SOURCE_TABLE_NAME      VARCHAR2(800),
    SOURCE_REF_NAME001     VARCHAR2(800),
    SOURCE_REF_NAME002     VARCHAR2(800),
    SOURCE_REF_NAME003     VARCHAR2(800),
    SOURCE_REF_NAME004     VARCHAR2(800),
    SOURCE_REF_NAME005     VARCHAR2(800),
    SOURCE_REF_NAME006     VARCHAR2(800),
    SOURCE_REF_NAME007     VARCHAR2(800),
    SOURCE_REF_NAME008     VARCHAR2(800),
    SOURCE_REF_NAME009     VARCHAR2(800),
    SOURCE_REF_NAME010     VARCHAR2(800),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CONSTRAINT pk_hrc_dl_source_keys PRIMARY KEY (SOURCE_KEY_ID, SOURCE_KEY_ID)
);
